dictRemove(3)

NAME
dictRemove - remove item from dictionary.

SYNOPSIS
#include <util/dict.h> BOOL dictRemove(dictCtx dict, const char *id);

ARGUMENTS
dict - dictionary to search in.
id - identifier of item to remove.

DESCRIPTION
Removes item identified by <id> from <dict>. MT-Level: Safe if <dict> thread-safe.

RETURN VALUE
None.

SEE ALSO
dictDestroy(3), dictCleanup(3), dictReleaseLock(3), dictRemove(3), dictNext(3), dictCreate(3), dictSetValue(3), dictModifyValue(3), dictSearch